From 93d2743e3864e9eab0699b1bb1ea5f01c10bdbc1 Mon Sep 17 00:00:00 2001
From: Yaroslav <contact@yaroslavps.com>
Date: Mon, 23 Sep 2019 06:32:38 +0300
Subject: initial commit

---
 dotfiles/.scripts/mailcheck | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100755 dotfiles/.scripts/mailcheck

(limited to 'dotfiles/.scripts/mailcheck')

diff --git a/dotfiles/.scripts/mailcheck b/dotfiles/.scripts/mailcheck
new file mode 100755
index 0000000..bf49de9
--- /dev/null
+++ b/dotfiles/.scripts/mailcheck
@@ -0,0 +1,35 @@
+#!/bin/sh
+# Sync mail and give notification if there is new mail.
+
+# Run only if user logged in (prevent cron errors)
+w | grep "^$USER\W" >/dev/null || exit
+
+# Checks for internet connection and set notification script.
+ping -q -c 1 1.1.1.1 > /dev/null || exit
+command -v notify-send >/dev/null || echo "Note that \`libnotify\` or \`libnotify-send\` should be installed for pop-up mail notifications with this script."
+
+export DISPLAY=:0.0
+
+notify() {
+    notify-send "📬 Email" "$2 new mail(s) in \`$1\` account."
+    mplayer $HOME/.soundalerts/mail.mp3
+}
+
+# Run mbsync. You can feed this script different settings.
+if [ $# -eq 0 ]; then
+	mbsync -a
+else
+	mbsync "$@"
+fi
+
+# Check all accounts/mailboxes for new mail. Notify if there is new content.
+for account in "$HOME/.local/share/mail/"*
+do
+	acc="$(echo "$account" | sed "s/.*\///")"
+	newcount=$(find "$HOME/.local/share/mail/$acc/INBOX/new/" "$HOME/.local/share/mail/$acc/Inbox/new/" "$HOME/.local/share/mail/$acc/inbox/new/" -type f -newer "$HOME/.config/mutt/.mailsynclastrun" 2> /dev/null | wc -l)
+	[ "$newcount" -gt "0" ] && notify "$acc" "$newcount" &
+done
+notmuch new 2>/dev/null
+
+#Create a touch file that indicates the time of the last run of mailsync
+touch "$HOME/.config/mutt/.mailsynclastrun"
-- 
cgit v1.2.3